List Member Tiers

Lists member tier definitions available to the authenticated SP Digital business. Example curl: ```bash curl --request POST '{{base_url}}/sp/member-tiers/list' \ --header 'Authorization: Bearer {{access_token}}' \ --header 'Content-Type: application/json' \ --data-raw '{}' ``` Example success response shape: ```json { "success": true, "message": "OK", "data": [ { "tier_id": 1, "name": "Gold", "expiry": 12, "expiry_period": "month" } ], "meta": {} } ``` Example error response shape: ```json { "success": false, "message": "Unauthorized.", "error": { "code": "unauthorized", "details": {} } } ``` Common platform errors: - `sp_scope_not_granted` - `sp_token_scope_missing` - `legacy_field_not_allowed` - `query_parameters_not_allowed` - `invalid_content_type`

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

AuthorizationstringOptional

Response

200 OK Example
successboolean
messagestring
datalist of objects
metaobject